<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-cis-result-heading">Create or edit a CIS Result</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_number">Number</label>
                    <input type="text" class="form-control" name="number" id="field_number"
                           formControlName="number"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                           formControlName="description"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <input type="text" class="form-control" name="status" id="field_status"
                           formControlName="status"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_control">Control</label>
                    <select class="form-control" id="field_control" name="control" formControlName="control">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="cISControlOption.id === editForm.get('control')!.value?.id ? editForm.get('control')!.value : cISControlOption" *ngFor="let cISControlOption of ciscontrols; trackBy: trackById">{{ cISControlOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
